drama.shaders = {};
drama.shaders["gamma"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform mediump float gamma;\n\nvoid main(void)\n{	\n	lowp vec4 front = texture2D(samplerFront, vTex);\n	\n	gl_FragColor = vec4(pow(front.rgb, vec3(gamma)), front.a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["gamma",0,0]]
};

drama.shaders["replacecolor"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 sourceColor;\nuniform lowp vec3 destColor;\nuniform lowp float tolerance;\n\nvoid main(void)\n{\n	lowp vec4 front = texture2D(samplerFront, vTex);\n	lowp float a = front.a;\n	\n	if (a != 0.0)\n		front.rgb /= a;	lowp float diff = length(front.rgb - sourceColor);\n	\n	if (diff <= tolerance)\n	{\n		front.rgb = mix(front.rgb, destColor, 1.0 - diff / tolerance);\n	}\n	\n	front.rgb *= a;\n	gl_FragColor = front;\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["sourceColor",0,2],["destColor",0,2],["tolerance",0,1]]
};
